Help Center

Local Navigation

Password Pattern Checks IT policy rule

Description

This rule specifies whether to verify that a BlackBerry® device password matches specific character pattern requirements.

Default values

The default value in the Default and Basic password security IT policies is No restriction.

The default value in all other preconfigured IT policies is At least one alpha character and one numeric character.

Usage

Change this rule to At least 1 alpha and 1 numeric character to require that a BlackBerry device user enter at least 1 alphabetic character and 1 numeric character.

Change this rule to At least 1 alpha, 1 numeric, and 1 special character to require that a BlackBerry device user enter at least 1 alphabetic, 1 numeric and 1 special character.

Change this rule to At least 1 upper-case alpha, one lower-case alpha, 1 numeric, and 1 special character to require that a BlackBerry device user enter at least 1 upper-case alphabetic, one lower-case alphabetic, 1 numeric, and 1 special character.

If you select option 2 or 3, password pattern checking is not available for C++ based BlackBerry devices.

By default, a BlackBerry device prevents setting passwords that use a natural sequence of characters or numbers. If a symbol is inserted into a natural sequence, a BlackBerry device can use the password.

Dependencies

A BlackBerry device uses this rule only if the Password Required rule is configured to True.

Minimum requirements

  • C++ based BlackBerry device that is running BlackBerry® Device Software version 2.5
  • Java® based BlackBerry device that is running BlackBerry Device Software version 3.6
  • BlackBerry® Application Suite version 1.0
  • BlackBerry® Connect™ version 1.2, 2.0, 2.1, or 4.0
  • BlackBerry® Enterprise Server version 3.5 for Microsoft® Exchange, BlackBerry® Enterprise Server version 4.0 for IBM® Lotus® Domino®, or BlackBerry® Enterprise Server version 4.0 for Novell® GroupWise®

Exceptions

The BlackBerry Enterprise Server for Novell GroupWise supports this rule only for Java based BlackBerry devices that are running BlackBerry Device Software version 4.0 or later.


Was this information helpful? Send us your comments.